=== debian/control ===
Source: ros-humble-tracetools-launch
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-mypy <!nocheck>, ros-humble-ament-pep257 <!nocheck>, ros-humble-ament-xmllint <!nocheck>, ros-humble-launch, ros-humble-launch-ros, ros-humble-tracetools-trace, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://index.ros.org/p/tracetools_launch/
Standards-Version: 3.9.2

Package: ros-humble-tracetools-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-launch, ros-humble-launch-ros, ros-humble-tracetools-trace, ros-humble-ros-workspace
Description: Launch integration for tracing.
